//
//  FileItem.c
//  folder
//
//  Created by kunii on 2013/11/18.
//  Copyright (c) 2013年 國居貴浩. All rights reserved.
//

#include <stdio.h>
#include <stdlib.h>
#include <memory.h>
#include "Item.h"

static Item* file_super = NULL;

//  itemで指定されるItem構造体の名前を [ ] で囲んでコンソールに表示する。
static void printFileItem(Item* item, int indent)
{
    //  indentで指定される数だけ半角スペースを表示してから名前を表示する。
    for (int i = 0; i < indent; i++) printf(" ");
    printf("[%s]\n", item->name);   //  ファイルなので名前を []　で囲んでから表示
}

Item* FileItemAlloc()
{
    if (file_super == NULL)
        file_super = ItemAlloc();
    
    Item* item = malloc(sizeof(Item));
    *item = *file_super;
    item->print = printFileItem;
    return item;
}
